%define upstream_name    Time-Duration
%define upstream_version 1.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Rounded or exact English expression of durations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides functions for expressing durations in rounded or exact
terms.

In the first example in the Synopsis, using duration($interval_seconds):

If the 'time() - $start_time' is 3 seconds, this prints "Runtime: *3
seconds*.". If it's 0 seconds, it's "Runtime: *0 seconds*.". If it's 1
second, it's "Runtime: *1 second*.". If it's 125 seconds, you get "Runtime:
*2 minutes and 5 seconds*.". If it's 3820 seconds (which is exactly 1h, 3m,
40s), you get it rounded to fit within two expressed units: "Runtime: *1
hour and 4 minutes*.". Using duration_exact instead would return "Runtime:
*1 hour, 3 minutes, and 40 seconds*".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.210.0-4.mga10
+ Revision: 2205612
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.210.0-3.mga9
+ Revision: 1811679
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.210.0-2.mga8
+ Revision: 1526793
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 1.210.0-1.mga8
+ Revision: 1415769
- update to 1.21

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-4.mga7
+ Revision: 1272375
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-3.mga6
+ Revision: 1035249
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.200.0-2.mga6
+ Revision: 967727
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 850140
- update to 1.20

* Sun Oct 19 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 788544
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 749181
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 686693
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.100.0-2.mga4
+ Revision: 527411
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.100.0-1.mga4
+ Revision: 440018
- update to 1.1

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 374349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 23006
- cleaning spec file
- imported package perl-Time-Duration


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 1.60.0-1mdv2011.0
+ Revision: 624674
- import perl-Time-Duration

